Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5113)
@@ -84,5 +84,5 @@
     USE vampir
     USE lmdz_mpi
-    implicit none
+    IMPLICIT NONE
       INCLUDE "dimensions.h"
       INCLUDE "paramet.h"
@@ -391,7 +391,7 @@
 ! Ehouarn: surface_data module is in 'phylmd' ...
       use surface_data, ONLY: type_ocean
-      implicit none
+      IMPLICIT NONE
 #else
-      implicit none
+      IMPLICIT NONE
 ! without the surface_data module, we declare (and set) a dummy 'type_ocean'
       character(len=6),parameter :: type_ocean="dummy"
@@ -437,5 +437,5 @@
         
     SUBROUTINE Pack_Data(Field,ij,ll,row,Buffer)
-    implicit none
+    IMPLICIT NONE
 
       INCLUDE "dimensions.h"
@@ -460,5 +460,5 @@
      
     SUBROUTINE Unpack_Data(Field,ij,ll,row,Buffer)
-    implicit none
+    IMPLICIT NONE
 
       INCLUDE "dimensions.h"
@@ -499,5 +499,5 @@
     USE lmdz_mpi
     USE Vampir
-    implicit none
+    IMPLICIT NONE
       INCLUDE "dimensions.h"
       INCLUDE "paramet.h"    
@@ -616,5 +616,5 @@
     SUBROUTINE Gather_Field(Field,ij,ll,rank)
     USE lmdz_mpi
-    implicit none
+    IMPLICIT NONE
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h" 
@@ -696,5 +696,5 @@
     SUBROUTINE AllGather_Field(Field,ij,ll)
     USE lmdz_mpi
-    implicit none
+    IMPLICIT NONE
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"    
@@ -714,5 +714,5 @@
    SUBROUTINE Broadcast_Field(Field,ij,ll,rank)
     USE lmdz_mpi
-    implicit none
+    IMPLICIT NONE
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"    
@@ -734,5 +734,5 @@
 !  Subroutine verif_hallo(Field,ij,ll,up,down)
 !    USE lmdz_mpi
-!    implicit none
+!    IMPLICIT NONE
 !      INCLUDE "dimensions.h"
 !      INCLUDE "paramet.h"    
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.f90	(revision 5113)
@@ -55,5 +55,5 @@
 !$OMP BARRIER
 
-  ! !write(lunout,*) 'qminimum 52: entree'
+  !write(lunout,*) 'qminimum 52: entree'
   IF(first) THEN
      iq_vap = strIdx(tracers(:)%name, addPhase('H2O', 'g'))
@@ -83,5 +83,5 @@
   ENDDO
 
-  ! !write(lunout,*) 'qminimum 57'
+  !write(lunout,*) 'qminimum 57'
   DO k = 1, llm
 !$OMP DO SCHEDULE(STATIC)
@@ -103,5 +103,5 @@
   ! le defaut en prennant de l'eau vapeur de la couche au-dessous.
   !
-  ! !write(lunout,*) 'qminimum 81'
+  !write(lunout,*) 'qminimum 81'
   DO k = llm, 2, -1
   !cc      zx_abc = dpres(k) / dpres(k-1)
@@ -127,5 +127,5 @@
   ! doit imprimer un message d'avertissement (saturation possible).
   !
-  ! !write(lunout,*) 'qminimum 106'
+  !write(lunout,*) 'qminimum 106'
   nb_pump=0
 !$OMP DO SCHEDULE(STATIC)
@@ -149,19 +149,19 @@
   ENDIF
 
-  ! !write(lunout,*) 'qminimum 128'
+  !write(lunout,*) 'qminimum 128'
   if (niso > 0) then
-          ! !write(lunout,*) 'qminimum 140'
-  ! ! CRisi: traiter de même les traceurs d'eau
-  ! ! Mais il faut les prendre à l'envers pour essayer de conserver la
-  ! ! masse.
-  ! ! 1) pompage dans le sol
-  ! ! On suppose que ce pompage se fait sans isotopes -> on ne modifie
-  ! ! rien ici et on croise les doigts pour que ça ne soit pas trop
-  ! ! génant
-  ! ! en fait, si, c'est genant quand les isotopes doivent eux même transporter des
-  ! ! traceurs -> apporter aussi un peu d'isotopes... Combien?
-  ! ! Essayer tnat/2 = -500 permil? C'est déjà mieux que -1000
-  ! ! permil...
-  ! ! pb: que faire pour les traceurs?
+          !write(lunout,*) 'qminimum 140'
+  ! CRisi: traiter de même les traceurs d'eau
+  ! Mais il faut les prendre à l'envers pour essayer de conserver la
+  ! masse.
+  ! 1) pompage dans le sol
+  ! On suppose que ce pompage se fait sans isotopes -> on ne modifie
+  ! rien ici et on croise les doigts pour que ça ne soit pas trop
+  ! génant
+  ! en fait, si, c'est genant quand les isotopes doivent eux même transporter des
+  ! traceurs -> apporter aussi un peu d'isotopes... Combien?
+  ! Essayer tnat/2 = -500 permil? C'est déjà mieux que -1000
+  ! permil...
+  ! pb: que faire pour les traceurs?
 !$OMP DO SCHEDULE(STATIC)
   DO i = ijb, ije
@@ -172,11 +172,11 @@
 !$OMP END DO NOWAIT
 
-  ! ! 2) transfert de vap vers les couches plus hautes
-  ! !write(lunout,*) 'qminimum 158'
+  ! 2) transfert de vap vers les couches plus hautes
+  !write(lunout,*) 'qminimum 158'
   do k=2,llm
 !$OMP DO SCHEDULE(STATIC)
     DO i = ijb, ije
       if (zx_defau_diag(i,k,1)>0.0) then
-          ! ! on ajoute la vapeur en k
+          ! on ajoute la vapeur en k
           !  write(lunout,*) 'i,k,q_follow(i,k-1,ivap)=',
   ! :                 i,k,q_follow(i,k-1,1)
@@ -218,5 +218,5 @@
           endif
 
-          ! ! et on la retranche en k-1
+          ! et on la retranche en k-1
            q(i,k-1,iqIsoPha(ixt,iq_vap)) = &
                  q(i,k-1,iqIsoPha(ixt,iq_vap)) &
@@ -257,6 +257,6 @@
 
 
-    ! ! 3) transfert d'eau de la vapeur au liquide
-    ! !write(*,*) 'qminimum 164'
+    ! 3) transfert d'eau de la vapeur au liquide
+    !write(*,*) 'qminimum 164'
     do k=1,llm
 !$OMP DO SCHEDULE(STATIC)
@@ -264,10 +264,10 @@
       if (zx_defau_diag(i,k,2)>0.0) then
 
-          ! ! on ajoute eau liquide en k en k
+          ! on ajoute eau liquide en k en k
           do ixt=1,ntiso
            q(i,k,iqIsoPha(ixt,iq_liq))=q(i,k,iqIsoPha(ixt,iq_liq)) &
                  +zx_defau_diag(i,k,2) &
                  *q(i,k,iqIsoPha(ixt,iq_vap))/q_follow(i,k,1)
-          ! ! et on la retranche à la vapeur en k
+          ! et on la retranche à la vapeur en k
            q(i,k,iqIsoPha(ixt,iq_vap))=q(i,k,iqIsoPha(ixt,iq_vap)) &
                  -zx_defau_diag(i,k,2) &
@@ -286,5 +286,5 @@
 
   endif !if (niso > 0) then
-  ! !write(*,*) 'qminimum 188'
+  !write(*,*) 'qminimum 188'
 !$OMP BARRIER
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5113)
@@ -82,5 +82,5 @@
 
 
-   ! ! allocate (global) arrays
+   ! allocate (global) arrays
    allocate(vcov_glo(ip1jm,llm))
    allocate(ucov_glo(ip1jmp1,llm))
@@ -166,5 +166,5 @@
   CALL massdair(p,masse_glo)
 
-  ! ! copy data from global array to local array:
+  ! copy data from global array to local array:
   teta(ijb_u:ije_u,:)=teta_glo(ijb_u:ije_u,:)
   ucov(ijb_u:ije_u,:)=ucov_glo(ijb_u:ije_u,:)
@@ -173,5 +173,5 @@
   ps(ijb_u:ije_u)=ps_glo(ijb_u:ije_u)
 
-  ! ! cleanup
+  ! cleanup
   deallocate(teta_glo)
   deallocate(ucov_glo)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90	(revision 5113)
@@ -1,6 +1,6 @@
 module times
-  integer,private,save :: Last_Count=0
-  real, private,save :: Last_cpuCount=0
-  logical, private,save :: AllTimer_IsActive=.FALSE.
+  integer,PRIVATE,save :: Last_Count=0
+  real, PRIVATE,save :: Last_cpuCount=0
+  logical, PRIVATE,save :: AllTimer_IsActive=.FALSE.
   
   integer, parameter :: nb_timer = 4
@@ -26,5 +26,5 @@
   SUBROUTINE init_timer
     USE parallel_lmdz
-    implicit none
+    IMPLICIT NONE
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
@@ -49,5 +49,5 @@
   
   SUBROUTINE start_timer(no_timer)
-    implicit none
+    IMPLICIT NONE
     integer :: no_timer
     
@@ -68,5 +68,5 @@
   
   SUBROUTINE suspend_timer(no_timer)
-    implicit none
+    IMPLICIT NONE
     integer :: no_timer
      
@@ -85,5 +85,5 @@
   
   SUBROUTINE resume_timer(no_timer)
-    implicit none
+    IMPLICIT NONE
     integer :: no_timer
      
@@ -102,5 +102,5 @@
   SUBROUTINE stop_timer(no_timer)
     USE parallel_lmdz
-    implicit none
+    IMPLICIT NONE
     integer :: no_timer
     integer :: N
@@ -138,5 +138,5 @@
     USE parallel_lmdz
     USE lmdz_mpi
-    implicit none
+    IMPLICIT NONE
 
     integer :: ierr
@@ -168,5 +168,5 @@
     USE parallel_lmdz
     USE lmdz_mpi
-    implicit none
+    IMPLICIT NONE
     integer :: ierr
     integer :: data_size
@@ -198,5 +198,5 @@
   
   SUBROUTINE InitTime
-  implicit none
+  IMPLICIT NONE
     integer :: count,count_rate,count_max
     
@@ -210,5 +210,5 @@
   
   function DiffTime()
-  implicit none
+  IMPLICIT NONE
     double precision :: DiffTime
     integer :: count,count_rate,count_max
@@ -224,5 +224,5 @@
   
   function DiffCpuTime()
-  implicit none
+  IMPLICIT NONE
     real :: DiffCpuTime
     real :: Count
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/top_bound_loc.f90	(revision 5113)
@@ -124,5 +124,5 @@
   CALL massbar_loc(masse,massebx,masseby)
 
-  ! ! compute zonal average of vcov (or set it to zero)
+  ! compute zonal average of vcov (or set it to zero)
   if (mode_top_bound>=2) then
    jjb=jj_begin
@@ -152,5 +152,5 @@
   endif ! of if (mode_top_bound.ge.2)
 
-  ! ! compute zonal average of u (or set it to zero)
+  ! compute zonal average of u (or set it to zero)
   if (mode_top_bound>=2) then
    jjb=jj_begin
@@ -179,5 +179,5 @@
   endif ! of if (mode_top_bound.ge.2)
 
-  ! ! compute zonal average of potential temperature, if necessary
+  ! compute zonal average of potential temperature, if necessary
   if (mode_top_bound>=3) then
    jjb=jj_begin
@@ -201,5 +201,5 @@
 
   if (mode_top_bound>=1) then
-   ! ! Apply sponge quenching on vcov:
+   ! Apply sponge quenching on vcov:
    jjb=jj_begin
    jje=jj_end
@@ -217,5 +217,5 @@
 !$OMP END DO NOWAIT
 
-   ! ! Apply sponge quenching on ucov:
+   ! Apply sponge quenching on ucov:
    jjb=jj_begin
    jje=jj_end
@@ -236,5 +236,5 @@
 
   if (mode_top_bound>=3) then
-   ! ! Apply sponge quenching on teta:
+   ! Apply sponge quenching on teta:
    jjb=jj_begin
    jje=jj_end
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.f90	(revision 5113)
@@ -53,5 +53,5 @@
   INTEGER :: ijb, ije, ijb_x, ije_x
 
-  ! !write(*,*) 'vlsplt 58: entree dans vlx_loc, iq,ijb_x=',
+  !write(*,*) 'vlsplt 58: entree dans vlx_loc, iq,ijb_x=',
   ! &   iq,ijb_x
   !   calcul de la pente a droite et a gauche de la maille
@@ -68,5 +68,5 @@
     !   calcul des pentes avec limitation, Van Leer scheme I:
     !   -----------------------------------------------------
-    ! ! on a besoin de q entre ijb et ije
+    ! on a besoin de q entre ijb et ije
     !   calcul de la pente aux points u
     !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -145,5 +145,5 @@
   ENDIF ! (pente_max.lt.-1.e-5)
 
-  ! !write(*,*) 'vlx 156: iq,ijb_x=',iq,ijb_x
+  !write(*,*) 'vlx 156: iq,ijb_x=',iq,ijb_x
 
   !   bouclage de la pente en iip1:
@@ -169,5 +169,5 @@
   ! PRINT*,'Cumule ....'
   !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
-  ! ! on a besoin de masse entre ijb et ije
+  ! on a besoin de masse entre ijb et ije
   DO l = 1, llm
     DO ij = ijb, ije - 1
@@ -244,5 +244,5 @@
       ENDDO
       niju = iju
-      ! !PRINT*,'vlx 278, niju,nl',niju,nl(l)
+      !PRINT*,'vlx 278, niju,nl',niju,nl(l)
 
       !  traitement des mailles
@@ -302,14 +302,14 @@
 
   do ifils = 1, tracers(iq)%nqDescen
-    ! ! attention: comme Ratio est utilisé comme q dans l'appel
-    ! ! recursif, il doit contenir à lui seul tous les indices de tous
-    ! ! les descendants!
+    ! attention: comme Ratio est utilisé comme q dans l'appel
+    ! recursif, il doit contenir à lui seul tous les indices de tous
+    ! les descendants!
     iq2 = tracers(iq)%iqDescen(ifils)
     !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l = 1, llm
       DO ij = ijb, ije
-        ! ! On a besoin de q et masse seulement entre ijb et ije. On ne
-        ! ! les calcule donc que de ijb à ije
-        ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
+        ! On a besoin de q et masse seulement entre ijb et ije. On ne
+        ! les calcule donc que de ijb à ije
+        !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masse(ij, l, iq2) = max(masse(ij, l, iq) * q(ij, l, iq), min_qMass)
         if (q(ij, l, iq)>min_qParent) then ! modif 13 nov 2020
@@ -333,5 +333,5 @@
   DO l = 1, llm
     DO ij = ijb + 1, ije
-      ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
+      !MVals: veiller a ce qu'on n'ait pas de denominateur nul
       new_m = max(masse(ij, l, iq) + u_m(ij - 1, l) - u_m(ij, l), min_qMass)
       q(ij, l, iq) = (q(ij, l, iq) * masse(ij, l, iq) + &
@@ -349,6 +349,6 @@
 
   ! retablir les fils en rapport de melange par rapport a l'air:
-  ! ! On calcule q entre ijb+1 et ije -> on fait pareil pour ratio
-  ! ! puis on boucle en longitude
+  ! On calcule q entre ijb+1 et ije -> on fait pareil pour ratio
+  ! puis on boucle en longitude
   do ifils = 1, tracers(iq)%nqDescen
     iq2 = tracers(iq)%iqDescen(ifils)
@@ -495,7 +495,7 @@
     if (pole_sud)  ije = ij_end - iip1
 
-    ! ! on a besoin de q entre ij_begin-2*iip1 et ij_end+2*iip1
-    ! ! Si pole sud, entre ij_begin-2*iip1 et ij_end
-    ! ! Si pole Nord, entre ij_begin et ij_end+2*iip1
+    ! on a besoin de q entre ij_begin-2*iip1 et ij_end+2*iip1
+    ! Si pole sud, entre ij_begin-2*iip1 et ij_end
+    ! Si pole Nord, entre ij_begin et ij_end+2*iip1
     DO ij = ijb, ije
       dyqv(ij) = q(ij, l, iq) - q(ij + iip1, l, iq)
@@ -706,14 +706,14 @@
     !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l = 1, llm
-      ! ! modif des bornes: CRisi 16 nov 2020
-      ! ! d'abord masse avec bornes corrigées
+      ! modif des bornes: CRisi 16 nov 2020
+      ! d'abord masse avec bornes corrigées
       DO ij = ijbm, ijem
-        ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
+        !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masse(ij, l, iq2) = max(masse(ij, l, iq) * q(ij, l, iq), min_qMass)
       enddo
 
-      ! ! ensuite Ratio avec anciennes bornes
+      ! ensuite Ratio avec anciennes bornes
       DO ij = ijb, ije
-        ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
+        !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         if (q(ij, l, iq)>min_qParent) then ! modif 13 nov 2020
           Ratio(ij, l, iq2) = q(ij, l, iq2) / q(ij, l, iq)
@@ -859,7 +859,7 @@
   !$OMP THREADPRIVATE(first)
 
-  ! !REAL masseq(ijb_u:ije_u,llm,nqtot),Ratio(ijb_u:ije_u,llm,nqtot) ! CRisi
-  ! ! Ces varibles doivent être déclarées en pointer et en save dans
-  ! ! vlz_loc si on veut qu'elles soient vues par tous les threads.
+  !REAL masseq(ijb_u:ije_u,llm,nqtot),Ratio(ijb_u:ije_u,llm,nqtot) ! CRisi
+  ! Ces varibles doivent être déclarées en pointer et en save dans
+  ! vlz_loc si on veut qu'elles soient vues par tous les threads.
   INTEGER :: ifils, iq2 ! CRisi
 
@@ -870,5 +870,5 @@
   !    sens de W
 
-  ! !write(*,*) 'vlsplt 926: entree dans vlz_loc, iq=',iq
+  !write(*,*) 'vlsplt 926: entree dans vlz_loc, iq=',iq
 
   ijb = ijb_x
@@ -954,5 +954,5 @@
     ENDDO
     !$OMP END DO NOWAIT
-    ! !write(*,*) 'vlz 1001'
+    !write(*,*) 'vlz 1001'
 
   ELSE ! countcfl>=1
@@ -1013,6 +1013,6 @@
               lorig(ij, l) = lorig(ij, l) - 1
             ENDIF
-            ! ! CRisi 24nov2020: ajout d'un message d'erreur clair au lieu d'un plantage
-            ! ! pour seg fault
+            ! CRisi 24nov2020: ajout d'un message d'erreur clair au lieu d'un plantage
+            ! pour seg fault
             if (lorig(ij, l)==0) then
               CALL abort_gcm("vlz in vlsplt_loc", &
@@ -1064,5 +1064,5 @@
     DO l = 1, llm
       DO ij = ijb, ije
-        ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
+        !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masse(ij, l, iq2) = max(masse(ij, l, iq) * q(ij, l, iq), min_qMass)
         if (q(ij, l, iq)>min_qParent) then
@@ -1071,5 +1071,5 @@
           Ratio(ij, l, iq2) = min_ratio
         endif
-        ! !wq(ij,l,iq2)=wq(ij,l,iq) ! correction bug le 15mai2015
+        !wq(ij,l,iq2)=wq(ij,l,iq) ! correction bug le 15mai2015
         w(ij, l, iq2) = wq(ij, l, iq)
       enddo
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltgen_loc.F90	(revision 5113)
@@ -26,5 +26,5 @@
   USE write_field_loc, ONLY: WriteField_u, WriteField_v
   USE VAMPIR
-  ! ! CRisi: on rajoute variables utiles d'infotrac
+  ! CRisi: on rajoute variables utiles d'infotrac
   USE infotrac, ONLY: nqtot, tracers, isoCheck
   USE vlspltgen_mod
@@ -181,5 +181,5 @@
   ENDDO
 
-  ! ! verif temporaire
+  ! verif temporaire
   ijb = ij_begin
   ije = ij_end
@@ -188,7 +188,7 @@
   !$OMP BARRIER
   DO iq = 1, nqtot
-    ! ! CRisi: on ne boucle que sur les pères= ceux qui sont transportés directement par l'air
-    IF(tracers(iq)%parent /= 'air') CYCLE
-    ! !write(*,*) 'vlspltgen 192: iq,iadv=',iq,tracers(iq)%iadv
+    ! CRisi: on ne boucle que sur les pères= ceux qui sont transportés directement par l'air
+    IF(tracers(iq)%parent /= 'air') CYCLE
+    !write(*,*) 'vlspltgen 192: iq,iadv=',iq,tracers(iq)%iadv
     SELECT CASE(tracers(iq)%iadv)
     CASE(0); CYCLE
@@ -250,5 +250,5 @@
   !$OMP BARRIER
 
-  ! ! verif temporaire
+  ! verif temporaire
   ijb = ij_begin - 2 * iip1
   ije = ij_end + 2 * iip1
@@ -259,5 +259,5 @@
   do iq = 1, nqtot
     IF(tracers(iq)%parent /= 'air') CYCLE
-    ! !write(*,*) 'vlspltgen 279: iq=',iq
+    !write(*,*) 'vlspltgen 279: iq=',iq
 
     SELECT CASE(tracers(iq)%iadv)
@@ -326,5 +326,5 @@
       CALL Register_Hallo_u(zq(:, :, iq), llm, 2, 2, 2, 2, MyRequest2)
       CALL Register_Hallo_u(zm(:, :, iq), llm, 1, 1, 1, 1, MyRequest2)
-      ! ! CRisi
+      ! CRisi
       do ifils = 1, tracers(iq)%nqDescen
         iq2 = tracers(iq)%iqDescen(ifils)
@@ -359,5 +359,5 @@
   do iq = 1, nqtot
     IF(tracers(iq)%parent /= 'air') CYCLE
-    ! !write(*,*) 'vlspltgen 409: iq=',iq
+    !write(*,*) 'vlspltgen 409: iq=',iq
 
     SELECT CASE(tracers(iq)%iadv)
@@ -370,8 +370,8 @@
 
   enddo
-  ! !write(*,*) 'vlspltgen_loc 476'
-
-  !$OMP BARRIER
-  ! !write(*,*) 'vlspltgen_loc 477'
+  !write(*,*) 'vlspltgen_loc 476'
+
+  !$OMP BARRIER
+  !write(*,*) 'vlspltgen_loc 477'
   !$OMP MASTER
   CALL VTb(VTHallo)
@@ -389,5 +389,5 @@
 
 
-  ! !write(*,*) 'vlspltgen_loc 494'
+  !write(*,*) 'vlspltgen_loc 494'
   CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 461')
 
@@ -420,5 +420,5 @@
   enddo !do iq=1,nqtot
 
-  ! !write(*,*) 'vlspltgen 550: apres derniere serie de CALL vlx'
+  !write(*,*) 'vlspltgen 550: apres derniere serie de CALL vlx'
   CALL check_isotopes(zq, ij_begin, ij_end, 'vlspltgen_loc 521')
 
@@ -457,5 +457,5 @@
   !c$OMP BARRIER
 
-  ! !write(*,*) 'vlspltgen 597: sortie'
+  !write(*,*) 'vlspltgen 597: sortie'
 
 END SUBROUTINE vlspltgen_loc
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90	(revision 5113)
@@ -48,5 +48,5 @@
   INTEGER :: ijb,ije,ijb_x,ije_x
 
-  ! !write(*,*) 'vlspltqs 58: entree vlxqs_loc, iq,ijb_x=',
+  !write(*,*) 'vlspltqs 58: entree vlxqs_loc, iq,ijb_x=',
   ! &   iq,ijb_x
 
@@ -253,5 +253,5 @@
            ENDDO
            niju=iju
-           ! !PRINT*,'vlxqs 280: niju,nl',niju,nl(l)
+           !PRINT*,'vlxqs 280: niju,nl',niju,nl(l)
 
   !  traitement des mailles
@@ -309,5 +309,5 @@
   ! CRisi: appel recursif de l'advection sur les fils.
   ! Il faut faire ca avant d'avoir mis a jour q et masse
-  ! !write(*,*) 'vlspltqs 336: iq,ijb_x,nqChildren(iq)=',
+  !write(*,*) 'vlspltqs 336: iq,ijb_x,nqChildren(iq)=',
   ! &     iq,ijb_x,tracers(iq)%nqChildren
 
@@ -317,5 +317,5 @@
     DO l=1,llm
       DO ij=ijb,ije
-        ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
+        !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masse(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
         if (q(ij,l,iq)>min_qParent) then ! modif 13 nov 2020
@@ -330,10 +330,10 @@
   do ifils=1,tracers(iq)%nqChildren
     iq2=tracers(iq)%iqDescen(ifils)
-    ! !write(*,*) 'vlxqs 349: on appelle vlx pour iq2=',iq2
+    !write(*,*) 'vlxqs 349: on appelle vlx pour iq2=',iq2
     CALL vlx_loc(Ratio,pente_max,masse,u_mq,ijb_x,ije_x,iq2)
   enddo
   ! end CRisi
 
-  ! !write(*,*) 'vlspltqs 360: iq,ijb_x=',iq,ijb_x
+  !write(*,*) 'vlspltqs 360: iq,ijb_x=',iq,ijb_x
 
   !   calcul des tendances
@@ -341,5 +341,5 @@
   DO l=1,llm
      DO ij=ijb+1,ije
-        ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
+        !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         new_m=max(masse(ij,l,iq)+u_m(ij-1,l)-u_m(ij,l),min_qMass)
         q(ij,l,iq)=(q(ij,l,iq)*masse(ij,l,iq)+ &
@@ -356,5 +356,5 @@
 !$OMP END DO NOWAIT
 
-  ! !write(*,*) 'vlspltqs 380: iq,ijb_x=',iq,ijb_x
+  !write(*,*) 'vlspltqs 380: iq,ijb_x=',iq,ijb_x
 
   ! retablir les fils en rapport de melange par rapport a l'air:
@@ -373,5 +373,5 @@
   enddo
 
-  ! !write(*,*) 'vlspltqs 399: iq,ijb_x=',iq,ijb_x
+  !write(*,*) 'vlspltqs 399: iq,ijb_x=',iq,ijb_x
 
   ! CALL SCOPY((jjm-1)*llm,q(iip1+iip1,1),iip1,q(iip2,1),iip1)
@@ -453,5 +453,5 @@
   l=3
   if ((ij>=ijb).and.(ij<=ije)) then
-    ! !write(*,*) 'vlyqs 480: ij,l,iq,ijb,q(ij,l,:)=',
+    !write(*,*) 'vlyqs 480: ij,l,iq,ijb,q(ij,l,:)=',
   ! &             ij,l,iq,ijb,q(ij,l,:)
   endif
@@ -713,22 +713,22 @@
   if (pole_sud)  ijem=ij_end
 
-  ! !write(lunout,*) 'vlspltqs 737: iq,ijb,ije=',iq,ijb,ije
-  ! !write(lunout,*) 'ij_begin,ij_end=',ij_begin,ij_end
-  ! !write(lunout,*) 'pole_nord,pole_sud=',pole_nord,pole_sud
+  !write(lunout,*) 'vlspltqs 737: iq,ijb,ije=',iq,ijb,ije
+  !write(lunout,*) 'ij_begin,ij_end=',ij_begin,ij_end
+  !write(lunout,*) 'pole_nord,pole_sud=',pole_nord,pole_sud
   do ifils=1,tracers(iq)%nqDescen
     iq2=tracers(iq)%iqDescen(ifils)
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
-      ! ! modif des bornes: CRisi 16 nov 2020
-      ! ! d'abord masse avec bornes corrigees
+      ! modif des bornes: CRisi 16 nov 2020
+      ! d'abord masse avec bornes corrigees
       DO ij=ijbm,ijem
-        ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
+        !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masse(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
       enddo !DO ij=ijbm,ijem
 
-      ! ! ensuite Ratio avec anciennes bornes
+      ! ensuite Ratio avec anciennes bornes
       DO ij=ijb,ije
-        ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
-        ! !write(lunout,*) 'ij,l,q(ij,l,iq)=',ij,l,q(ij,l,iq)
+        !MVals: veiller a ce qu'on n'ait pas de denominateur nul
+        !write(lunout,*) 'ij,l,q(ij,l,iq)=',ij,l,q(ij,l,iq)
         if (q(ij,l,iq)>min_qParent) then ! modif 13 nov 2020
           Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
@@ -742,5 +742,5 @@
   do ifils=1,tracers(iq)%nqChildren
     iq2=tracers(iq)%iqDescen(ifils)
-    ! !write(lunout,*) 'vly: appel recursiv vly iq2=',iq2
+    !write(lunout,*) 'vly: appel recursiv vly iq2=',iq2
     CALL vly_loc(Ratio,pente_max,masse,qbyv,iq2)
   enddo
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.f90	(revision 5113)
@@ -2,5 +2,5 @@
 
 SUBROUTINE wrgrads(if, nl, field, name, titlevar)
-  implicit none
+  IMPLICIT NONE
 
   !   Declarations
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90	(revision 5113)
@@ -1,4 +1,4 @@
 module write_field_loc
-implicit none
+IMPLICIT NONE
   
   interface WriteField_u
@@ -21,5 +21,5 @@
 
   SUBROUTINE write_field2D_u(name,Field)
-    implicit none
+    IMPLICIT NONE
       
     character(len=*)   :: name
@@ -37,5 +37,5 @@
     USE write_field
     USE mod_hallo
-    implicit none
+    IMPLICIT NONE
     include 'dimensions.h'
     include 'paramet.h'
@@ -86,5 +86,5 @@
 
   SUBROUTINE write_field2D_v(name,Field)
-    implicit none
+    IMPLICIT NONE
       
     character(len=*)   :: name
@@ -102,5 +102,5 @@
     USE write_field
     USE mod_hallo
-    implicit none
+    IMPLICIT NONE
     include 'dimensions.h'
     include 'paramet.h'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90	(revision 5113)
@@ -1,4 +1,4 @@
 module write_field_p
-implicit none
+IMPLICIT NONE
   
   interface WriteField_p
@@ -11,5 +11,5 @@
     USE parallel_lmdz
     USE write_field
-    implicit none
+    IMPLICIT NONE
   
     integer, parameter :: MaxDim=1
@@ -32,5 +32,5 @@
     USE parallel_lmdz
     USE write_field
-    implicit none
+    IMPLICIT NONE
   
     integer, parameter :: MaxDim=2
@@ -53,5 +53,5 @@
     USE parallel_lmdz
     USE write_field
-    implicit none
+    IMPLICIT NONE
   
     integer, parameter :: MaxDim=3
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5113)
@@ -14,5 +14,5 @@
       USE mod_xios_dyn3dmem, ONLY: writefield_dyn_u, writefield_dyn_v
       
-      implicit none
+      IMPLICIT NONE
 
 !   Ecriture du fichier histoire au format xios
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90	(revision 5113)
@@ -14,5 +14,5 @@
   USE temps_mod, ONLY: itau_dyn
 
-  implicit none
+  IMPLICIT NONE
 
   !
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90	(revision 5113)
@@ -14,5 +14,5 @@
   USE temps_mod, ONLY: itau_dyn
 
-  implicit none
+  IMPLICIT NONE
 
   !
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5113)
@@ -114,7 +114,7 @@
   REAL,INTENT(IN) :: pducov(iip1,jjp1,llm) ! dynamical tendency on ucov
   REAL,INTENT(IN) :: pdteta(iip1,jjp1,llm) ! dynamical tendency on teta
-  ! ! NB: pdteta is used only to compute pcvgt which is in fact not used...
+  ! NB: pdteta is used only to compute pcvgt which is in fact not used...
   REAL,INTENT(IN) :: pdq(iip1,jjp1,llm,nqtot) ! dynamical tendency on tracers
-  ! ! NB: pdq is only used to compute pcvgq which is in fact not used...
+  ! NB: pdq is only used to compute pcvgq which is in fact not used...
 
   REAL,INTENT(IN) :: pps(iip1,jjp1) ! surface pressure (Pa)
@@ -123,5 +123,5 @@
   REAL,INTENT(IN) :: flxw(iip1,jjp1,llm) ! Vertical mass flux on lower mesh interfaces (kg/s) (on llm because flxw(:,:,llm+1)=0)
 
-  ! ! tendencies (in */s) from the physics
+  ! tendencies (in */s) from the physics
   REAL,INTENT(OUT) :: pdvfi(iip1,jjm,llm) ! tendency on covariant meridional wind
   REAL,INTENT(OUT) :: pdufi(iip1,jjp1,llm) ! tendency on covariant zonal wind
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/grid_atob_m.f90	(revision 5113)
@@ -5,5 +5,5 @@
 !*******************************************************************************
 
-  USE assert_eq_m, ONLY: assert_eq
+  USE lmdz_assert_eq, ONLY: assert_eq
 
   PRIVATE
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5113)
@@ -135,5 +135,5 @@
     REAL, INTENT(IN) :: flxw(iip1, jjb_u:jje_u, llm) ! Vertical mass flux on lower mesh interfaces (kg/s) (on llm because flxw(:,:,llm+1)=0)
 
-    ! ! tendencies (in */s) from the physics
+    ! tendencies (in */s) from the physics
     REAL, INTENT(OUT) :: pdvfi(iip1, jjb_v:jje_v, llm) ! tendency on covariant meridional wind
     REAL, INTENT(OUT) :: pdufi(iip1, jjb_u:jje_u, llm) ! tendency on covariant zonal wind
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phydev/iniphysiq_mod.F90	(revision 5113)
@@ -31,5 +31,5 @@
   REAL,INTENT(IN) :: prad ! radius of the planet (m)
   REAL,INTENT(IN) :: pg ! gravitational acceleration (m/s2)
-  REAL,INTENT(IN) :: pr ! ! reduced gas constant R/mu
+  REAL,INTENT(IN) :: pr ! reduced gas constant R/mu
   REAL,INTENT(IN) :: pcpp ! specific heat Cp
   REAL,INTENT(IN) :: punjours ! length (in s) of a standard day
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5113)
@@ -35,5 +35,5 @@
 !-------------------------------------------------------------------------------
   USE ioipsl,         ONLY: flininfo, flinopen, flinget, flinclo, histclo
-  USE assert_eq_m,    ONLY: assert_eq
+  USE lmdz_assert_eq,    ONLY: assert_eq
   USE comconst_mod, ONLY: pi, cpp, kappa
   USE comvert_mod, ONLY: ap, bp, preff, pressure_exner
@@ -389,6 +389,5 @@
 !-------------------------------------------------------------------------------
   USE conf_dat_m, ONLY: conf_dat3d
-  USE pchsp_95_m, ONLY: pchsp_95
-  USE pchfe_95_m, ONLY: pchfe_95
+  USE lmdz_libmath_pch, ONLY: pchsp_95, pchfe_95
   IMPLICIT NONE
 !-------------------------------------------------------------------------------
